Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81656 - cdrecord 2.0 randomly doesn't work and locks up the drive
Summary: cdrecord 2.0 randomly doesn't work and locks up the drive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-12 07:04 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 05:29:47 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-01-12 07:04:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I upgraded to cdrecord 2.0 and xcdroast 0.98a13. While using kernel 2.4.20-2.11
and xcdroast to burn cds sometimes it begins writing and sometimes it doesn't. I
had the same problem with cdrecord 2.0pre1 and 0.98a12 with RedHat 8.0. I am
currently using a hybrid of Phoebe and Rawhide. In both cases downgrading to
cdrecord-1.10 and xcdroast-0.98a9 fixes the problem. On shutdown I saw scrolls
errors about scsi emulation.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. run startx
2. run xcdroast
3. try to burn an iso image to cd
    

Actual Results:  Sometimes it hangs

Expected Results:  For it to work everytime.

Additional info:

I am using a Pacific Digital 48x12x48 CDRW drive. I write at the speed of 24x
since that is the speed of the media I currently have.

Comment 1 Nathan G. Grennan 2003-01-12 07:06:53 UTC
Well, it seems I still have with with the old cdrecord and xcdroast. Below are
the errors messages I found via dmesg. Maybe this is a kernel or hardware issue.
Interesting that I was able to burn 3 cds with the old versions before a
problem, but only one with the new. May have just been luck though.

ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 3f 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 bf 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
udf: registering filesystem
UDF-fs DEBUG lowlevel.c:65:udf_get_last_session: CDROMMULTISESSION not
supported: rc=-22
UDF-fs DEBUG super.c:1421:udf_read_super: Multi-session=0
UDF-fs DEBUG super.c:410:udf_vrs: Starting at sector 16 (2048 byte sectors)
ide-scsi: hdc: unsupported command in request queue (0)
end_request: I/O error, dev 16:00 (hdc), sector 64
UDF-fs DEBUG super.c:1157:udf_check_valid: Failed to read byte 32768. Assuming
open disc. Skipping validity check
ide-scsi: hdc: unsupported command in request queue (0)
end_request: I/O error, dev 16:00 (hdc), sector 1248
ide-scsi: hdc: unsupported command in request queue (0)
end_request: I/O error, dev 16:00 (hdc), sector 1024
UDF-fs DEBUG misc.c:274:udf_read_tagged: block=256, location=256: read failed
UDF-fs DEBUG super.c:1211:udf_load_partition: No Anchor block found
UDF-fs: No partition found (1)
ide-scsi: hdc: unsupported command in request queue (0)
end_request: I/O error, dev 16:00 (hdc), sector 64
isofs_read_super: bread failed, dev=16:00, iso_blknum=16, block=32
UDF-fs DEBUG lowlevel.c:57:udf_get_last_session: XA disk: no, vol_desc_start=0
UDF-fs DEBUG super.c:1421:udf_read_super: Multi-session=0
UDF-fs DEBUG super.c:410:udf_vrs: Starting at sector 16 (2048 byte sectors)
UDF-fs DEBUG super.c:437:udf_vrs: ISO9660 Primary Volume Descriptor found
UDF-fs DEBUG super.c:440:udf_vrs: ISO9660 Supplementary Volume Descriptor found
UDF-fs DEBUG super.c:446:udf_vrs: ISO9660 Volume Descriptor Set Terminator found
UDF-fs: No VRS found
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 3f 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 bf 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 3f 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 bf 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 3f 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 bf 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 3f 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: [[ 5a 0 bf 0 0 0 0 1 3 0 0 0 ]
]
ide-scsi: expected 259 got 260 limit 259
ide-scsi: transferred 1 of 2 bytes
scsi : aborting command due to timeout : pid 59486, scsi0, channel 0, id 0, lun
0 0x2a 00 00 00 01 55 00 00 1f 00
hda: timeout waiting for DMA
hda: timeout waiting for DMA
hda: (__ide_dma_test_irq) called while not waiting
hda: status timeout: status=0xd0 { Busy }
hda: drive not ready for command
hda: ATAPI reset complete


Comment 2 Nathan G. Grennan 2003-01-13 08:55:21 UTC
I have since upgraded the firmware of the drive and double checked the cable. It
seems to be working correctly now. So it was most likely a hardware issue. If
the problem comes back I will reopen the bug.

Comment 3 Nathan G. Grennan 2003-01-20 10:44:46 UTC
I seem to be having this again.

kernel-2.4.20-2.21
glibc-2.3.1-36
xcdroast-0.98a13-2
cdrecord-2.0-2


I got the error message below after I kill -9 cdrecord after it had hung.

scsi : aborting command due to timeout : pid 485, scsi0, channel 0, id 0, lun 0
0x2a 00 00 00 01 55 00 00 1f 00
hda: timeout waiting for DMA
hda: timeout waiting for DMA
hda: (__ide_dma_test_irq) called while not waiting
hda: status timeout: status=0xd0 { Busy }
hda: drive not ready for command
hda: ATAPI reset complete
scsi : aborting command due to timeout : pid 487, scsi0, channel 0, id 0, lun 0
0x1e 00 00 00 00 00


Comment 4 Harald Hoyer 2003-01-30 12:57:59 UTC
this seems to be the kernel

Comment 5 Nathan G. Grennan 2004-08-20 05:29:47 UTC
Closing old bug


Note You need to log in before you can comment on or make changes to this bug.